Defines how to present a business-value in a UI component

### Hierarchy

- CellValue
  - AttributeCellValue

## Index

### Constructors

- constructor

### Properties

- actions
- autoFillCapable
- entryMethod
- hint
- mask
- propertyName
- style
- tooltip
- type
- STYLE_HEADING1
- STYLE_HEADING2
- STYLE_HEADING3
- STYLE_HEADING4
- STYLE_INLINE_MEDIA
- STYLE_INLINE_MEDIA2

### Accessors

- isComboBoxEntryMethod
- isDropDownEntryMethod
- isHeading1Style
- isHeading2Style
- isHeading3Style
- isHeading4Style
- isIconEntryMethod
- isInlineMediaStyle
- isTextFieldEntryMethod

## Constructors

### constructor

- new AttributeCellValue(propertyName: string, entryMethod: AttributeCellValueEntryMethod, hint: string, tooltip: string, mask: string, autoFillCapable: boolean, actions: Menu[], style: string): AttributeCellValue

- Overrides CellValue.constructor

  - Defined in models/AttributeCellValue.ts:8

  #### Parameters

  - ##### propertyName: string

  - ##### entryMethod: AttributeCellValueEntryMethod

  - ##### hint: string

  - ##### tooltip: string

  - ##### mask: string

  - ##### autoFillCapable: boolean

  - ##### actions: Menu[]

  - ##### style: string

  #### Returns AttributeCellValue

## Properties

### actions

actions: Menu[]

- Defined in models/AttributeCellValue.ts:16

### autoFillCapable

autoFillCapable: boolean

- Defined in models/AttributeCellValue.ts:15

### entryMethod

entryMethod: AttributeCellValueEntryMethod

- Defined in models/AttributeCellValue.ts:11

### hint

hint: string

- Defined in models/AttributeCellValue.ts:12

### mask

mask: string

- Defined in models/AttributeCellValue.ts:14

### propertyName

propertyName: string

- Defined in models/AttributeCellValue.ts:10

### style

style: string

Inherited from CellValue.style

- Defined in models/CellValue.ts:11

### tooltip

tooltip: string

- Defined in models/AttributeCellValue.ts:13

### type

type: string

Inherited from CellValue.type

- Defined in models/CellValue.ts:9

### Static STYLE_HEADING1

STYLE_HEADING1: string = "textHeading1"

Inherited from CellValue.STYLE_HEADING1

- Defined in models/CellValue.ts:2

### Static STYLE_HEADING2

STYLE_HEADING2: string = "textHeading2"

Inherited from CellValue.STYLE_HEADING2

- Defined in models/CellValue.ts:3

### Static STYLE_HEADING3

STYLE_HEADING3: string = "textHeading3"

Inherited from CellValue.STYLE_HEADING3

- Defined in models/CellValue.ts:4

### Static STYLE_HEADING4

STYLE_HEADING4: string = "textHeading4"

Inherited from CellValue.STYLE_HEADING4

- Defined in models/CellValue.ts:5

### Static STYLE_INLINE_MEDIA

STYLE_INLINE_MEDIA: string = "inlineMedia"

Inherited from CellValue.STYLE_INLINE_MEDIA

- Defined in models/CellValue.ts:6

### Static STYLE_INLINE_MEDIA2

STYLE_INLINE_MEDIA2: string = "Image/Video"

Inherited from CellValue.STYLE_INLINE_MEDIA2

- Defined in models/CellValue.ts:7

## Accessors

### isComboBoxEntryMethod

- get isComboBoxEntryMethod(): boolean

- - Defined in models/AttributeCellValue.ts:22

  #### Returns boolean

### isDropDownEntryMethod

- get isDropDownEntryMethod(): boolean

- - Defined in models/AttributeCellValue.ts:26

  #### Returns boolean

### isHeading1Style

- get isHeading1Style(): boolean

- Inherited from CellValue.isHeading1Style

  - Defined in models/CellValue.ts:13

  #### Returns boolean

### isHeading2Style

- get isHeading2Style(): boolean

- Inherited from CellValue.isHeading2Style

  - Defined in models/CellValue.ts:17

  #### Returns boolean

### isHeading3Style

- get isHeading3Style(): boolean

- Inherited from CellValue.isHeading3Style

  - Defined in models/CellValue.ts:21

  #### Returns boolean

### isHeading4Style

- get isHeading4Style(): boolean

- Inherited from CellValue.isHeading4Style

  - Defined in models/CellValue.ts:25

  #### Returns boolean

### isIconEntryMethod

- get isIconEntryMethod(): boolean

- - Defined in models/AttributeCellValue.ts:30

  #### Returns boolean

### isInlineMediaStyle

- get isInlineMediaStyle(): boolean

- Inherited from CellValue.isInlineMediaStyle

  - Defined in models/CellValue.ts:29

  #### Returns boolean

### isTextFieldEntryMethod

- get isTextFieldEntryMethod(): boolean

- - Defined in models/AttributeCellValue.ts:34

  #### Returns boolean

Generated using TypeDoc